BigIntegerBinding (Oracle - Berkeley DB Java API)
Date: 2015-03-04

com.sleepycat.bind.tuple

## Class BigIntegerBinding

- java.lang.Object
- - com.sleepycat.bind.tuple.TupleBase<E>
  - - com.sleepycat.bind.tuple.TupleBinding<java.math.BigInteger>
    - - com.sleepycat.bind.tuple.BigIntegerBinding

- All Implemented Interfaces:
    EntryBinding<java.math.BigInteger>

      public class BigIntegerBinding
      extends TupleBinding<java.math.BigInteger>

  A concrete `TupleBinding` for a `BigInteger` value.

  This class produces byte array values that by default (without a custom comparator) sort correctly.

  See Also:
    Integer Formats

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BigIntegerBinding()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `bigIntegerToEntry(java.math.BigInteger val, DatabaseEntry entry)` Converts a `BigInteger` value into an entry buffer.
    `static java.math.BigInteger` | `entryToBigInteger(DatabaseEntry entry)` Converts an entry buffer into a `BigInteger` value.
    `java.math.BigInteger` | `entryToObject(TupleInput input)` Constructs a key or data object from a `TupleInput` entry.
    `protected TupleOutput` | `getTupleOutput(java.math.BigInteger object)` Returns an empty TupleOutput instance that will be used by the tuple binding or key creator.
    `void` | `objectToEntry(java.math.BigInteger object, TupleOutput output)` Converts a key or data object to a tuple entry.

    - ### Methods inherited from class com.sleepycat.bind.tuple.TupleBinding

      `entryToObject, getPrimitiveBinding, objectToEntry`

    - ### Methods inherited from class com.sleepycat.bind.tuple.TupleBase

      `entryToInput, getTupleBufferSize, inputToEntry, newOutput, newOutput, outputToEntry, setTupleBufferSize`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BigIntegerBinding

          public BigIntegerBinding()

  - ### Method Detail

    - #### entryToObject

          public java.math.BigInteger entryToObject(TupleInput input)

      Description copied from class: `TupleBinding`
      Constructs a key or data object from a `TupleInput` entry.
      Specified by:
        `entryToObject` in class `TupleBinding<java.math.BigInteger>`
      Parameters:
        `input` - is the tuple key or data entry.
      Returns:
        the key or data object constructed from the entry.

    - #### objectToEntry

          public void objectToEntry(java.math.BigInteger object,
                           TupleOutput output)

      Description copied from class: `TupleBinding`
      Converts a key or data object to a tuple entry.
      Specified by:
        `objectToEntry` in class `TupleBinding<java.math.BigInteger>`
      Parameters:
        `object` - is the key or data object.
        `output` - is the tuple entry to which the key or data should be written.

    - #### getTupleOutput

          protected TupleOutput getTupleOutput(java.math.BigInteger object)

      Description copied from class: `TupleBase`
      Returns an empty TupleOutput instance that will be used by the tuple binding or key creator.

      The default implementation of this method creates a new TupleOutput with an initial buffer size that can be changed using the `TupleBase.setTupleBufferSize(int)` method.

      This method may be overridden to return a TupleOutput instance. For example, an instance per thread could be created and returned by this method. If a TupleOutput instance is reused, be sure to call its `FastOutputStream.reset()` method before each use.

      Overrides:
        `getTupleOutput` in class `TupleBase<java.math.BigInteger>`
      Parameters:
        `object` - is the object to be written to the tuple output, and may be used by subclasses to determine the size of the output buffer.
      Returns:
        an empty TupleOutput instance.
      See Also:
        `TupleBase.setTupleBufferSize(int)`

    - #### entryToBigInteger

          public static java.math.BigInteger entryToBigInteger(DatabaseEntry entry)

      Converts an entry buffer into a `BigInteger` value.
      Parameters:
        `entry` - is the source entry buffer.
      Returns:
        the resulting value.

    - #### bigIntegerToEntry

          public static void bigIntegerToEntry(java.math.BigInteger val,
                               DatabaseEntry entry)

      Converts a `BigInteger` value into an entry buffer.
      Parameters:
        `val` - is the source value.
        `entry` - is the destination entry buffer.

Copyright (c) 1996, 2015 Oracle and/or its affiliates. All rights reserved.